import React, { Component } from 'react';
import hocImmutable, { imShallowEqual } from '../../utils/HOC/hocImmutable';
import { Select } from 'antd';

const Comp = hocImmutable(Select);
Comp.Option = hocImmutable(Select.Option);
Comp.OptGroup = hocImmutable(Select.OptGroup);

export default Comp;
export const Option = Comp.Option;
export const OptGroup = Comp.OptGroup;